GREENHORN COMPUTER-FORUM - Freundliche Hilfe für PC-Einsteiger und Fortgeschrittene

    

 · Home · Impressum & Datenschutz · Suche

Seiten mit Postings: 1 2

zum Seitenende

 Forum Index —› Software, Internet —› NET. Framework Updates lassen sich nicht installieren
 


Autor Mitteilung
ismirschlecht
registriert

Beiträge:


Gesendet: 17:13 - 11.09.2010

Tach,

um Nero 10 nutzen zu können, verlangt mein Rechner nach NET. Framework. Ist auch installiert, aber eben nicht die neueste Version. Die Updates lassen sich aber nicht installieren. Hab schon mehrfach das Cleanup Tool benutzt, ohne Erfolg.
jedesmal bekomme ich erneut angezeigt, dass das Update fehlgeschlagen sei.
Piranha
Boardkaiser

Beiträge: 2746


 

Gesendet: 17:22 - 11.09.2010

M$ hat in den letzten Jahren so viele Versionen von .NET rausgebracht, dass sie selber nicht mehr wissen, welche Version da kompatibel zu welcher anderen Version ist.
Darüber hinaus heisst neueste Version NICHT, dass alle älteren Programme damit laufen würden, im Gegenteil, es gibt oft Fälle, wo ein Programm nur mit einer ganz bestimmten Version von .NET läuft.
Insbesondere mit Vista oder Win7, wo sich ältere Versionen von .NET gar nicht mehr installieren lassen, führt das häufig dazu, dass Programme die sich vollständig auf eine bestimmte Version von .NET stützen gar nicht mehr laufen.
Utilities wie Cleanup richten bei sowas eher mehr Schaden als als sie nützen.

Die sicherste Methode sowas zum Laufen zu brigen ist:
1) In der Systemsteuerung .NET deinstallieren.
2) Über Windows-Update die neueste Version von .NET (meistens unter optionale Updates zu finden) installieren.
3) Das gewünsche Programm installieren und beten, dass er sich nicht über die falsche Version beschwert.
Wenn doch, vergiss das Programm.
amanda
Boardkaiser

Beiträge: 2238


 

Gesendet: 18:24 - 11.09.2010

Das Problem hatte ich auch und genauso gemacht wie Prinha es vorschlägt, damals hatte mir Wölfchen das so gesagt .
Das hatte auch geklappt
pc dummi
Power-User

Beiträge: 102


 

Gesendet: 18:39 - 11.09.2010

Ich kämpf ja auch schon länger mit dem blöden NET. Bei mir ist es die Version 2.0, die Zicken macht und auch keine Updates mehr installiert.
Wenn ich jetzt diese Version (habe noch 3.0 und 3.5) lösche, und das ein oder andere Programm nicht mehr geht, kann ich dann die 2.0-Version wieder installieren?

pc dummi
Piranha
Boardkaiser

Beiträge: 2746


 

Gesendet: 19:46 - 11.09.2010

Das hängt davon ab, was du sonst noch an Programmen hast, welches Betriebssystem und welche Versionen die jeweils mitbringen, bzw. brauchen.

Rein theoretisch sollte mit Version 3.5 alles laufen was für 2.0 und 3.0 geschrieben ist, aber wie gesagt, das ist graue Theorie.
Wenn du Pech hast, hast du ein Programm was nur mit 2.0 läuft, ein Anderes was nur mit 3.0 läuft und noch eins was mindestens 3.5 braucht.
In dem Fall kannst du nur hoffen, dass es für die Programme jeweils updates gibt, die alle mit 3.5 laufen.

pc dummi
Power-User

Beiträge: 102


 

Gesendet: 12:51 - 12.09.2010

Danke Piranha.
Das bedeutet also, wenn ich die 2.0 runterschmeiße, ist sie für alle Zeit weg?

pc dummi
Piranha
Boardkaiser

Beiträge: 2746


 

Gesendet: 13:21 - 12.09.2010

"weg" ist relativ, bei jeder Installation/Deinstallation bleibt meistens irgendwas im System hängen, aber in der Theorie ist es weg.
pc dummi
Power-User

Beiträge: 102


 

Gesendet: 14:57 - 12.09.2010

Ich meinte es eher so, ob man sich diese Version dann nicht mehr von Microsoft herunterladen kann.

pc dummi
Donald
Boardkaiser

Beiträge: 2682


 

Gesendet: 15:20 - 12.09.2010

Bei Microsoft gibt es zur Zeit die Version 4.0 zum runterladen. Solltest Du die Installationsdatei einer älteren Version haben, so kannst Du diese parallel installieren.

Zitat Microsoft:
Zitat:
.NET Framework 4 kann parallel mit älteren Frameworkversionen betrieben werden. Anwendungen, die auf früheren Versionen des Frameworks basieren, können weiterhin unter der Version ausgeführt werden, die standardmäßig als Zielversion festgelegt ist.


Außerdem findest Du noch ältere Versionen im Netz.

Was mich in diesem Zusammenhang erheblich stört, ist der Umstand, dass auf der Homepage der Hinweis steht, dass das Programm weitere Daten nachläd. Über welche es sich handelt, schweigt man sich aus.



Gruß Donald
Piranha
Boardkaiser

Beiträge: 2746


 

Gesendet: 16:15 - 12.09.2010

In der Theorie kannst du jede Version von .NET beliebig oft installieren, deinstallieren und neu installieren, auch mehrere Versionen parallel.
In der Theorie sollte damit jedes Programm seine passende Version finden und damit laufen.

In der Praxis gibt es damit Probleme ohne Ende, bis hin zu komplett vermurkstem System, wo nur noch format c: geht.
Wann und wie solche Probleme auftauchen ist nicht vorhersehbar, und wie solche Fehler (wenn überhaupt) behoben werden können steht in den Sternen.

Am besten alle Daten sichern, Windows-Installations-CD bereit halten für komplette Neuinstallation falls was schief geht, und dann drauflos, nach dem Motto "Versuch macht klug".

Ich wünsche dir viel Glück.
pc dummi
Power-User

Beiträge: 102


 

Gesendet: 10:58 - 13.09.2010

Ok, danke.

Dann werde ich in den nächsten Tagen mal wieder meine gesamten Daten sichern und den abenteuerlichen Schritt wagen, die 2.0-Version loszuwerden.
Werd euch auf jeden Fall vom Ergebnis berichten (sofern mir das dann noch möglich ist

pc dummi

Seiten mit Postings: 1 2

- NET. Framework Updates lassen sich nicht installieren -

zum Seitenanfang



 Forum Index —› Software, Internet —› NET. Framework Updates lassen sich nicht installieren
 


naanoo logo
Version 3.1 | Load: 0.001421 | S: 1_2